/***************************************************************************************************

  Main.h - header file for Main.cpp

***************************************************************************************************/
#ifndef MainH
  #define MainH

  #include <Classes.hpp>
  #include <Controls.hpp>
  #include <StdCtrls.hpp>
  #include <Forms.hpp>

  #include "displog.h"
  #include <ExtCtrls.hpp>

  #define CR 0x0D


  class TFormMain : public TForm  {
  __published:	                      // IDE-managed Components
    TPanel *PanelMemo;
   TPanel *Panel1;
   TCheckBox *CheckBoxLogLine;
   TCheckBox *CheckBoxAppendToLog;
   TCheckBox *CheckBoxLogDate;
   TCheckBox *CheckBoxLogTime;
   TCheckBox *CheckBoxKeepLogOpen;
   TPanel *Panel2;
   TCheckBox *CheckBoxDisplayLine;
   TCheckBox *CheckBoxDisplayDate;
   TCheckBox *CheckBoxDisplayTime;
   TCheckBox *CheckBoxInitDisplay;
   TCheckBox *CheckBoxDisplayHorizontalScrollBar;
   TCheckBox *CheckBoxDisplayVerticalScrollBar;
   TPanel *Panel3;
   TLabel *Label1;
   TLabel *Label2;
   TLabel *Label3;
   TEdit *EditDisplayDTPos;
   TEdit *EditLogDTPos;
   TEdit *EditLogFilename;
   TEdit *EditMaxDispLines;
   TEdit *EditSepString;
   TLabel *Label4;
   TLabel *Label5;
   TPanel *Panel4;
   TButton *ButtonAddLine;
   TButton *ButtonAdd10Lines;
   TButton *ButtonAdd100Lines;
   TButton *ButtonClearDisplay;
   TCheckBox *CheckBoxDisplayMSecs;
   TCheckBox *CheckBoxLogMSecs;
    void __fastcall ButtonAddLineClick(TObject *Sender);
    void __fastcall ButtonAdd10LinesClick(TObject *Sender);
    void __fastcall ButtonAdd100LinesClick(TObject *Sender);
    void __fastcall CheckBoxInitDisplayClick(TObject *Sender);
    void __fastcall CheckBoxDisplayTimeClick(TObject *Sender);
    void __fastcall CheckBoxDisplayDateClick(TObject *Sender);
    void __fastcall CheckBoxDisplayLineClick(TObject *Sender);
    void __fastcall CheckBoxLogLineClick(TObject *Sender);
    void __fastcall CheckBoxLogDateClick(TObject *Sender);
    void __fastcall CheckBoxLogTimeClick(TObject *Sender);
    void __fastcall CheckBoxKeepLogOpenClick(TObject *Sender);
    void __fastcall CheckBoxAppendToLogClick(TObject *Sender);
    void __fastcall ButtonClearDisplayClick(TObject *Sender);
    void __fastcall CheckBoxDisplayHorizontalScrollBarClick(TObject *Sender);
    void __fastcall CheckBoxDisplayVerticalScrollBarClick(TObject *Sender);
    void __fastcall EditDisplayDTPosExit(TObject *Sender);
    void __fastcall EditLogDTPosExit(TObject *Sender);
    void __fastcall EditLogFilenameExit(TObject *Sender);
    void __fastcall EditMaxDispLinesExit(TObject *Sender);
    void __fastcall EditSepStringExit(TObject *Sender);
    void __fastcall CheckBoxLogMSecsClick(TObject *Sender);
   void __fastcall CheckBoxDisplayMSecsClick(TObject *Sender);
  private:

  public:
    __fastcall TFormMain(TComponent* Owner);
    __fastcall ~TFormMain(void);

    TDispLog *Log;
  };

  extern PACKAGE TFormMain *FormMain;
#endif
